E-MailRelay

Public Member Functions | List of all members
GSsl::OpenSSL::Certificate Class Reference

Holds a certificate taken from an OpenSSL X509 structure. More...

`#include <gssl_openssl.h>`

## Public Member Functions
| Certificate (X509 *, bool do_free)
std::string | str () const

## Detailed Description

Holds a certificate taken from an OpenSSL X509 structure.

Definition at line 71 of file gssl_openssl.h.

## Constructor & Destructor Documentation

## ◆ Certificate()

GSsl::OpenSSL::Certificate::Certificate | ( | X509 * | x509,
|  | bool | do_free
| ) |  |

Definition at line 829 of file gssl_openssl.cpp.

## Member Function Documentation

## ◆ str()

std::string GSsl::OpenSSL::Certificate::str | ( |  | ) | const

Definition at line 850 of file gssl_openssl.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gssl/gssl_openssl.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gssl/gssl_openssl.cpp